export default {
    //转换日期格式
    //time :  要转换的时间
    //type :  DT1 转换为 2019-01-01 8:12:42格式
    //type :  DT2 转换为 2019-01-01格式
    //type :  DT3 转换为 2019/01/01 8:12:42格式
    //type :  DT4 转换为 2019/01/01格式
    //type :  DT5 转换为 时间戳格式
    //type :  DT6 转换为 2019年01月01日 8时12分42秒
    //type :  DT7 转换为 2019年01月01日
    //zero :  时分秒是否补零(2000-01-01 08:02:06)
    //num  :  要加的天数,正数为加,负数为减,不加不减就不用传
    timestampToTime (time,type,zero,num) {
        if(!time){return ''}
        try{
            var date = new Date(time)
            if(num&&typeof parseInt(num)=="number"){
                date = new Date(new Date(time).getTime()+num*60*60*24*1000)//时间戳以毫秒为单位,也可用其他日期格式
            }
            let yy = date.getFullYear();//年
            let mm = date.getMonth()+1;//月
            let dd = date.getDate();//日
            let hh = date.getHours();//小时
            let mf = date.getMinutes()<10 ? '0'+date.getMinutes() : date.getMinutes();//分钟
            let ss = date.getSeconds()<10 ? '0'+date.getSeconds() : date.getSeconds();//秒
            if(zero){
                if(mm<10){mm='0'+mm}
                if(dd<10){dd='0'+dd}
                if(hh<10){hh='0'+hh}
            }
            if(type=="DT1"){
                return yy+'-'+mm+'-'+dd+' '+hh+':'+mf+':'+ss;//yyyy-mm-dd hh:mf:ss
            }else if(type=="DT2"){
                return yy+'-'+mm+'-'+dd;//yyyy-mm-dd
            }else if(type=="DT3"){
                return yy+'/'+mm+'/'+dd+' '+hh+':'+mf+':'+ss;//yyyy/mm/dd hh:mf:ss
            }else if(type=="DT4"){
                return yy+'-'+mm+'-'+dd;//yyyy/mm/dd
            }else if(type=="DT5"){
                return date.getTime();//时间戳 秒数
            }else if(type=="DT6"){
                return yy+'年'+mm+'月'+dd+'日 '+hh+'时'+mf+'分'+ss+'秒';//yyyy年mm月dd日 hh时mf分ss秒
            }else if(type=="DT7"){
                return yy+'年'+mm+'月'+dd+'日';//yyyy年mm月dd日
            }
        }catch(e){
            console.log("timestampToTime Error");return ""
        }
    },
}